#youtube {
    padding: 30px;
    font-family: 'Source Sans Pro', sans-serif;
    margin: 10px 0;
}

#youtube .header {
    grid-area: header;
    display: flex;
    align-items: center;
    font-size: 1.50em;
    gap: 15px;
    font-weight: 600;
}

#youtube .header input {
    flex: 1;
    font-size: 0.75em;
    min-width: 0;
    border: 1px solid grey;
    border-radius: 9999px;
    padding: 10px;
    padding-left: 15px;
}

#youtube .video {
    border: 1px solid grey;
    padding: 10px 20px;
    margin-top: 30px;
    aspect-ratio: 16 / 9;
    display: grid;
    align-items: center;
    overflow: auto;
}

#youtube .video .highlight {
    font-style: italic;
}

#youtube .video .videoTitle {
    font-weight: bolder;
}

#youtube .videoControls {
    border: 1px solid grey;
    padding: 20px 10px;
    display: flex;
    gap: 20px;
    align-items: center;
    height: 50px;
    box-sizing: border-box;
}

/* #youtube .playPause {
    cursor: pointer;
    font-size: 4em;
    line-height: 0;
    position: relative;
    top: -5px;
} */





#youtube .playPause .checkbox {
    display: none;
}

#youtube .playPause .label::after {
    content: '\25B6';
    /* Play */
    display: block;
    cursor: pointer;
    width: 24px;
    text-align: center;
}

#youtube .playPause .checkbox:checked+.label::after {
    content: '||';
    font-weight: 900;
}







#youtube .seek {
    background: #ddd;
    height: 4px;
    flex: 1;
    transition: height .25s 1s;
}

#youtube .seek .progress {
    background: black;
    height: 100%;
    width: 40%;
    position: relative;
}

#youtube .seek .handle {
    width: 20px;
    height: 20px;
    border-radius: 100%;
    background: white;
    border: 1px solid black;
    position: absolute;
    right: -12px;
    top: -8px;
    transform: scale(0);
    transition: transform .25s 1s;
}

#youtube .videoControls:hover .seek {
    height: 8px;
    transition-delay: 0s;
}

#youtube .videoControls:hover .handle {
    transform: scale(1);
    transition-delay: 0s;
}

#youtube .description {
    margin: 20px 0;
}

#youtube .description hr {
    margin: 20px 0;
}

#youtube .description .videoTitle {
    font-size: 1.5em;
    font-weight: bolder;
}

#youtube .description .videoDate {
    color: grey;
}

#youtube .descriptionText,
#youtube .comment {
    display: flex;
    gap: 15px;
}

#youtube .avatar {
    width: 56px;
    height: 56px;
    border: 1px solid black;
    border-radius: 100%;
    flex-shrink: 0;
}

#youtube .descriptionBody .username,
#youtube .commentBody .username {
    font-weight: bolder;
    cursor: pointer;
    margin-top: 12px;
}

#youtube .descriptionBody p,
#youtube .commentBody p {
    margin-top: 0;
    margin-bottom: 0;
}

#youtube .youtubeLink {
    color: rgb(39, 166, 208);
}

#youtube .youtubeLink:hover {
    cursor: pointer;
    text-decoration: underline;
}

#youtube .showMore {
    cursor: pointer;
    color: grey;
    text-transform: uppercase;
}

#youtube .amountSort {
    font-weight: 600;
    display: flex;
    gap: 20px;
}

#youtube .amountSort span {
    cursor: pointer;
}

#youtube .comment {
    padding-top: 10px;
}

#youtube .commentBody {
    flex: 1
}

#youtube .commentBody input {
    font-size: 1em;
    border: 0;
}

#youtube .commentBody p {
    margin-bottom: 5px;
}

#youtube .comment hr {
    margin: 0;
}

#youtube .comment .date {
    color: grey;
}

#youtube .comment .like {
    font-weight: 600;
    cursor: pointer;
}

#youtube .comment .replies {
    margin-left: 20px;
}

#youtube .comment .replies:hover {
    cursor: pointer;
}

@media screen and (max-width: 480px) {
    #youtube .video {
        aspect-ratio: 9 / 16;
    }

    #youtube .youtubeLink {
        overflow-wrap: anywhere;
    }
}
